Subject: Re: Framebuffer driver using SM501 hardware.

From: Clemens Koller <[email-masked]>
Date: Tue, 16 Aug 2005 20:23:01 +0200

Hi!

I was working with the SM501 framebuffer for a while on
linux-2.6.

It is heavily based on old silicon motion code and
not in good shape, so I didn't dare to publish it ;-)

But it's working on ppc, linux-2.6 and X was running on it.
There is a color-mapping issue left (RGB is swapped on powerpc)
and it needs lots of code cleanup or a complete rewrite.

Due to my project schedule, it will take me some month
until I can focus on the voyagerfb again.

But take what you want...

Best greets,

Clemens Koller
_______________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Str. 45/1
81379 Muenchen
Germany

http://www.anagramm.de
Phone: +49-89-741518-50
Fax: +49-89-741518-19
Surendra Yadav wrote:

> Hi all,
> 
> I am writing framebuffer driver using SM501. This graphics driver chip can
> drive CRT and TFT panel. I have written two seperate framebuffer driver, one
> for CRT and one for TFT Panel.
> 
> But I am not able to test both the devices. Any one of them work at a time.
> I have created two files /dev/fb0 and /dev/fb1. These two can be open
> successfully and mmap is also successful from userspace. If I am trying to
> write on fb0 and  fb1 with different data, they displayed on either CRT or
> TFT panel.
> 
> Can any one help me How to test two different framebuffer devices?
> 
> Thanks.
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>